<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA.html">TerrainMaterialGeneratorA</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">SM2Profile</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainMaterialGeneratorA::SM2Profile Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a35b8394758ead4cb05487f0bbdc3758c">_isSM3Available</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a0219afa39a19812e90ff2919fd12fe68">_isSM4Available</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aac2514424bb12bb42903771ece3b8c72">addTechnique</a>(const MaterialPtr &amp;mat, const Terrain *terrain, TechniqueType tt)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aba3b26e555ef8fbaade9546e508c647e">generate</a>(const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a12756eace5839670dc84766aa799abd1">generateForCompositeMap</a>(const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad89f2285a2c59643d0127bc9801d8ecb">getDescription</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a238c45cd665b18bd701b829a2c8abf76">getMaxLayers</a>(const Terrain *terrain) const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac775f704382e9dea4a7f0a49b1d6dab9">getName</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aeaae7ac474e9755ab4f49a989bdcbfa6">getParent</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a874a874b28414ae10dfec2ae8f6bb08f">getReceiveDynamicShadowsDepth</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a4db492f0578c8f1d3edbc32b31d4ba59">getReceiveDynamicShadowsEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a5794ec030c7dcbcf2ad36c473b19875b">getReceiveDynamicShadowsLowLod</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a77f9b821d617a70e2bfcebfd20a170c2">getReceiveDynamicShadowsPSSM</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a626162178bf4831bcdc1a5138e5772c6ae9bf14967819538907449efd1bcbcb0c">HIGH_LOD</a> enum value</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#ad3d9c9c043e0ea4d82f6166786dc1956">isCompositeMapEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a66ef7521dd85f69919cebbe2fb324f51">isGlobalColourMapEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aa7b2eb469c435af1c39275a2df6f5df5">isLayerNormalMappingEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a9a2d4edabc24d3f1e13374eab1fd418a">isLayerParallaxMappingEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a60d69b5cea91acd6bdb43d865fb440b6">isLayerSpecularMappingEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a833ec32fecc73e02debc7956cee46670">isLightmapEnabled</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a52d21cf618f97b09e940d2d41aa572cd">isShadowingEnabled</a>(TechniqueType tt, const Terrain *terrain) const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a7c18d9782fe05c211265019241420241">isVertexCompressionSupported</a>() const </td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a626162178bf4831bcdc1a5138e5772c6a1667917f1585a011c73d4240393d7425">LOW_LOD</a> enum value</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a429321b7bd9711a38b0ba66a649e3d27">mCompositeMapEnabled</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#ab57987d5aa3bbb3485c85677d71d94b0">mDepthShadows</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#af9df01eba06dc39bf4f943e80ed2f197">mDesc</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a818ddd1b2d4ef24144341b85f2b4a598">mGlobalColourMapEnabled</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#ab5ab431ad1da8ff2bd12b7cc1ac3ed84">mLayerNormalMappingEnabled</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a60147fa5e6ec233d79320ea162990dba">mLayerParallaxMappingEnabled</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#ac22548696e67f07f3befc570cb82d6f4">mLayerSpecularMappingEnabled</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aa10b6fc714fdc38555c61c8f23b82e6c">mLightmapEnabled</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a6c389f7f02f39525a242c3802f6f3845">mLowLodShadows</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#acd101ecd87f04e8d313834f8da1aee4e">mName</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a869235f68fd7821067b41f3946e0f5ef">mParent</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a035f732a574ad4c1b6577543409f0539">mPSSM</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#ad3155265d403873d0d68895603d28775">mReceiveDynamicShadows</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#acae9c5703a00d1029be4a514ca1a80c3">mShaderGen</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aa18a0db225756b5c805f2ae151bab054">mSM3Available</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aa592323fb775361854cbe921365aa561">mSM4Available</a></td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aed78c492593089c072d6adf0d241fd10">Profile</a>(TerrainMaterialGenerator *parent, const String &amp;name, const String &amp;desc)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a8b8528902ca05c44ce41a4a4802f0769">Profile</a>(const Profile &amp;prof)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a626162178bf4831bcdc1a5138e5772c6add7e315fae37ebe707116941e8c7a482">RENDER_COMPOSITE_MAP</a> enum value</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#afca5a13d139293248c27c5e586be228c">requestOptions</a>(Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aaa64157d2401e518fcbc30b15911d9b8">setCompositeMapEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a70a0feeeb8bf0b77c82e06bfeebb68d5">setGlobalColourMapEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a53b717248396dc049de442f816b1e1fb">setLayerNormalMappingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a2f80249d865a97ceb69abff9d6333841">setLayerParallaxMappingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a2e61822498f7362d985a034f5226567a">setLayerSpecularMappingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aa507a0f10734cecdab43701169970016">setLightmapEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a4f7d6b46ec1f0112581dfe8d1c225f82">setReceiveDynamicShadowsDepth</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a37ba62bf3961095da08a3092bb3e3378">setReceiveDynamicShadowsEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#ac0d80ec80ca2029cdc7b53181998967e">setReceiveDynamicShadowsLowLod</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aedb34b1f7987eb59fcc39448bd9482a0">setReceiveDynamicShadowsPSSM</a>(PSSMShadowCameraSetup *pssmSettings)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a90df73df0e48989a8958d9ad94ad2c48">SM2Profile</a>(TerrainMaterialGenerator *parent, const String &amp;name, const String &amp;desc)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a626162178bf4831bcdc1a5138e5772c6">TechniqueType</a> enum name</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a9bb28eb51fc5229209a72564315d3eb1">updateCompositeMap</a>(const Terrain *terrain, const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a6e7d0b079cef03335718ec90d96828c8">updateParams</a>(const MaterialPtr &amp;mat, const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a003757f0377d6fa5f5e4028ac0ad8a91">updateParamsForCompositeMap</a>(const MaterialPtr &amp;mat, const Terrain *terrain)</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0f8e8543ce925703ccc57298a9b59ffa">~Profile</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aeb38a4b8c2758a76c37941d4c752ca4c">~SM2Profile</a>()</td><td><a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html">Ogre::TerrainMaterialGeneratorA::SM2Profile</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
